PipeWire 1.4.10

Loading...
Searching...
No Matches
log.h File Reference
Utilities » Logging

pipewire/log.h More...

Go to the source code of this file.

## Macros
#define | PW_LOG_TOPIC_DEFINE_STATIC(var, topic)
| Define a static spa_log_topic and its constructor/destructor functions.
#define | PW_LOG_TOPIC_STATIC(var, topic)
| Declare a static log topic named var.
#define | PW_LOG_TOPIC_EXTERN(var)
| Declare a static log topic named var.
#define | PW_LOG_TOPIC(var, topic)
| Declare a static log topic named var.
#define | PW_LOG_TOPIC_INIT(var)
#define | pw_log_level_enabled(lev)
| Check if a loglevel is enabled.
#define | pw_log_topic_enabled(lev, t)
#define | pw_log_topic_custom_enabled(lev, t)
#define | pw_logtv(lev, topic, fmt, ap)
#define | pw_logt(lev, topic, ...)
#define | pw_log(lev, ...)
#define | pw_log_error(...)
#define | pw_log_warn(...)
#define | pw_log_info(...)
#define | pw_log_debug(...)
#define | pw_log_trace(...)
#define | pw_logt_error(t, ...)
#define | pw_logt_warn(t, ...)
#define | pw_logt_info(t, ...)
#define | pw_logt_debug(t, ...)
#define | pw_logt_trace(t, ...)
#define | pw_log_trace_fp(...)

## Functions
void | pw_log_set (struct spa_log *log)
| Configure a logging module.
struct spa_log * | pw_log_get (void)
| Get the log interface.
void | pw_log_set_level (enum spa_log_level level)
| Configure the logging level.
int | pw_log_set_level_string (const char *str)
| Configure the logging level using a string in PIPEWIRE_DEBUG format.
void | pw_log_logt (enum spa_log_level level, const struct spa_log_topic *topic, const char *file, int line, const char *func, const char *fmt,...)
| Log a message for a topic.
void | pw_log_logtv (enum spa_log_level level, const struct spa_log_topic *topic, const char *file, int line, const char *func, const char *fmt, va_list args)
| Log a message for a topic.
void | pw_log_log (enum spa_log_level level, const char *file, int line, const char *func, const char *fmt,...)
| Log a message for the default topic.
void | pw_log_logv (enum spa_log_level level, const char *file, int line, const char *func, const char *fmt, va_list args)
| Log a message for the default topic.
void | pw_log_topic_register (struct spa_log_topic *t)
| Register log topic with the logger, to enable dynamic log levels.
void | pw_log_topic_unregister (struct spa_log_topic *t)
| Unregister log topic.

## Variables
enum spa_log_level | pw_log_level
| The global log level.
struct spa_log_topic *const | PW_LOG_TOPIC_DEFAULT

## Detailed Description

pipewire/log.h